Subject: Re: DHCPv6 vs ND strikes again (was: New version available)

From: Brandon Butterworth <[email-masked]>
Date: Thu, 23 Sep 2010 13:46:08 +0100 (BST)

> > Unless you want to assign different default routers to different
> > clients. I don't know if this should be taken into account, but
> >  it is a possibility...
> 
> I'd wonder if there are examples of that being done in IPv4. I can't
> really think of a real world situation I've experienced in IPv4 where
> I'd find that capability useful.

I've been doing it in our hosting since around 1996

We use it as part of the resiliency and load distribution
where it's a no cost handy feature.

We run the usual dual everything set up (lots of detail omited)

  A servers -----  A switch/router ----- A connectivty
                      |
  B servers -----  B switch/router ----- B connectivty

instead of A & B servers using either A or B router we default
route the A servers to A router and B servers to B router (they're
actually two HSRP's one weighted to A the other to B)

It gives us a few bonuses

- both sets are active rather than have a standby that you
  are never sure if it's going to work until you try it

- any changes are tested rather than lurking broken until the
  next fail over test. Gives greater confidence all is as it
  should be while reducing scope of operator induced failures,
  they back out the change when they break half

- natural load distribution between connectivity

- less coupling between A and B, we run it more parallel
  as we do our broadcast kit

- in any failure only half the kit has to make the fail
  over so any latency in doing so only affects half the load
  not all of it

- where we've used it with more than two routers it lets us
  have N+1 redundancy, any one routers load could be taken up
  by another but none would have been able to handle the entire
  load

We could of course run the A and B servers as separate LANs but
there's some other reasons we didn't choose that here.

> Poor mans first hop router redundancy
> might be a possibility, however usually if you care that much about that
> redundancy, you'd buy a couple of routers that do HSRP, VRRP etc.
> IPv6's basic anycast mechanism would provide a better solution than
> half/half.

Not quite the same thing, we do HSRP as well.

brandon